Analyses¶
Operations on analyses. Available on the client as client.analyses.
analyses.list¶
async def list(project_guid: str) -> list[AnalysisResponseDto]
List the analyses of a project.
REST operation: GET /sympheny-app/projects/{guid}/analyses
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
project_guid |
str |
yes | GUID of the project. |
Returns: list of AnalysisResponseDto
async with AsyncSympheny(username, password) as client:
analyses = await client.analyses.list(project_guid)
with Sympheny(username, password) as client:
analyses = client.analyses.list(project_guid)
analyses.create¶
async def create(project_guid: str, request: AnalysisRequestDto) -> AnalysisResponseDto
Create a new analysis in a project.
REST operation: POST /sympheny-app/projects/{guid}/analyses
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
project_guid |
str |
yes | GUID of the project. |
request |
AnalysisRequestDto |
yes | Request body. |
Returns: AnalysisResponseDto
async with AsyncSympheny(username, password) as client:
analysis = await client.analyses.create(project_guid, request)
with Sympheny(username, password) as client:
analysis = client.analyses.create(project_guid, request)
analyses.get¶
async def get(project_guid: str, analysis_guid: str) -> AnalysisDetailsResponseDto
Get analysis details.
REST operation: GET /sympheny-app/projects/{guid}/analysis/{analysisGuid}
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
project_guid |
str |
yes | GUID of the project. |
analysis_guid |
str |
yes | GUID of the analysis. |
Returns: AnalysisDetailsResponseDto
async with AsyncSympheny(username, password) as client:
analysis = await client.analyses.get(project_guid, analysis_guid)
with Sympheny(username, password) as client:
analysis = client.analyses.get(project_guid, analysis_guid)
analyses.delete¶
async def delete(analysis_guid: str) -> Status
Delete an analysis.
REST operation: DELETE /sympheny-app/analysis/{analysisGuid}
The API returns no data payload for this endpoint even on success, so a missing payload is treated as an empty Status rather than an error.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
analysis_guid |
str |
yes | GUID of the analysis. |
Returns: Status
async with AsyncSympheny(username, password) as client:
status = await client.analyses.delete(analysis_guid)
with Sympheny(username, password) as client:
status = client.analyses.delete(analysis_guid)